libwmf (0.2.8.4-11) unstable; urgency=medium

  * Ack NMUs; thanks!
  * Add autopkgtests to the package.
  * Bump Standards-Version to 3.9.8.
  * Orphan – set maintainer to QA group.

 -- Loïc Minier <lool@debian.org>  Mon, 19 Jun 2017 22:11:59 +0000

libwmf (0.2.8.4-10.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix allocating huge block of memory (CVE-2016-9011) (Closes: #842090)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 31 Oct 2016 20:29:09 +0100

libwmf (0.2.8.4-10.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #662416)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jan 2016 11:28:38 +0100

libwmf (0.2.8.4-10.4) unstable; urgency=high

  * NMU from the Security Team
  * Fix multiple vulnerabilities:
    - CVE-2015-0848 (Closes: #790365)
    - CVE-2015-4588 (Closes: #787644)
    - CVE-2015-4695 (Closes: #784205)
    - CVE-2015-4696 (Closes: #784192)
  * Fix lintian override

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 30 Jul 2015 17:10:05 +0200

libwmf (0.2.8.4-10.3) unstable; urgency=low

  * Non-maintainer upload.
  * libwmf-{dev,doc}.preinst: Delete /usr/share/doc/$PKG if it is a symlink
    because this is now shipped as a regular directory.  (Closes: #700353)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Feb 2013 23:09:10 +0100

libwmf (0.2.8.4-10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add Multi-Arch headers. (Closes: #677786)
    The support was basically there. libwmf0.2-7 already ships libraries in
    /usr/lib/<triplet>. No changes besides adding headers were necessary.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 29 Nov 2012 17:26:47 +0100

libwmf (0.2.8.4-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - "libwmf-bin: Depends: gsfonts" fixes font load error (Closes: #685802)

 -- Hideki Yamane <henrich@debian.org>  Thu, 20 Sep 2012 13:09:11 +0900

libwmf (0.2.8.4-10) unstable; urgency=low

  * Read libwmf binary package name from control in rules.
  * Switch to dh instead of cdbs; bump debhelper compat to 9 and debhelper
    build-dep to >= 8.9.4~; this also means multiarch, so update install files
    and rules to cope with new pathnames.  Add new 05_gdk-pixbuf-loader-dir
    patch to fix the install location for the module to be under
    gdk-pixbuf-2.0 and not gtk-2.0.  Add ${misc:Pre-Depends}.

 -- Loïc Minier <lool@debian.org>  Fri, 06 Jan 2012 00:07:17 +0100

libwmf (0.2.8.4-9) unstable; urgency=low

  * Ack Neil Williams's NMU; thanks!
  * Stop shipping .la files altogether; remove dependency_libs stripping code
    from rules; rdepends of libwmf-dev either dont ship any .la files or ship
    .la files which don't reference the libwmf one.
  * Add comment to debian/libwmf0.2-7.lintian-overrides to point at
    Debian #382511.
  * Update my email address in control.
  * Drop defoma support from the packaging; closes: #542336; based on patch
    from Christian Perrier; thanks!  Defoma support is also included in the
    upstream configure.{ac,in}, but is largely useless nowadays, at least the
    generated libwmf XML fontmap in /var/lib/defoma/libwmf0.2-7.d/fontmap
    doesn't list any actual font on my system.
    - Drop defoma build-dep and dep.
    - Stop shipping a var/lib/defoma/libwmf0.2-7.d directory and "rm -rf"
      it on upgrades of libwmf0.2-7.
    - Drop debian/defoma XML fontmap generation script which seems to be
      generating an empty XML fontmap nowadays; incidentally closes: #501871.
    - Stop passing --with-fontdir=/var/lib/defoma/$(libwmf_pkg).d and
      --with-gsfontdir=/var/lib/defoma/$(libwmf_pkg).d to configure; these are
      going away and didn't have any font files anyway.
    - Review fontdir, gsfontdir, sysfontmap, gsfontmap and xtrafontmap
      configure args:
      . sysfontmap is the default XML fontmap (when not specified via the API)
        and currently points at an empty XML list of fonts; this is parsed
        either by libexpat1 or libxml2; in both cases, no specific message is
        output by default if the file is missing.  The configure.ac default
        for this file is /usr/share/fonts/fontmap which has a change of
        existing with random data some day, so just set it to /non-existent.
      . xtrafontmap is similar to sysfontmap and serves asan extra fontmap on
        top of the system one.  It's also used by thelibwmf-fontmap tool which
        serves generation of fontmap XML files and isn't shipped nor used
        during build.  Keep xtrafontmap set to /etc/libwmf.fontmap to allow
        for local configuration.
      . gsfontmap is similar to sysfontmap except it points at a
        GhostScript-style Fontmap.  It seems sensible to point libwmf at
        /var/lib/ghostscript/fonts/Fontmap as generated by ghostscript's
        update-gsfontmap.
      . gsfontdir is just appended to the font search path.  Set it to
        /usr/share/fonts/type1/gsfont which is where gsfonts ships its fonts.
      . fontdir is used as the default font search location, as the default
        search location for libwmf-fontmap, as the default pathname for
        bundled fonts in the bundled XML fontmap file -- neither of which are
        currently shipped -- and as a configure default for other pathnames
        such as xtrafontmap.  Set it to /non-existent as there currently isn't
        any single directory with all supported fonts that would be useful to
        list.
  * Add debian/TODO suggesting that this package ought to generate its own
    fontmap in its own XML format, perhaps into /var/lib/libwmf/, as a trigger
    whenever /usr/share/fonts is updated.
  * Fix typo in 0.2.8.4-5 changelog entry (which closed Debian #382511 instead
    of Debian #405012).
  * Update libwmf-bin description to list names of utilities; closes: #519601.
  * Cleanup libwmf-dev deps: list ${shlibs:Depends} but drop all deps except
    for packages shipping headers referenced in libwmf's headers
    (libfreetype6-dev, x11proto-core-dev, libx11-dev, zlib1g-dev).
  * Drop obsolete Replaces/Conflicts on libwmf0-dev and libwmf0.
  * Wrap build-deps and deps to get cleaner diffs.
  * Bump up Standards-Version to 3.9.2.
  * Drop libsm-dev, libxt-dev and libice-dev build-deps; might have been used
    with AC_PATH_XTRA in the past.
  * Rename debian/install to debian/libwmf0.2-7.install.
  * Take libwmf-bin symlink upgrade snippet from Ubuntu to minimize delta;
    can be dropped in may 2012.

 -- Loïc Minier <lool@debian.org>  Thu, 05 Jan 2012 16:07:15 +0100

libwmf (0.2.8.4-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs in .la files (Closes: #633336)
  * Add a lintian override for embedded-library libgd2 as the upstream
    support for --disable-heavy turns off too many other components.
    (Avoid ftp-master reject for this NMU).

 -- Neil Williams <codehelp@debian.org>  Mon, 25 Jul 2011 10:20:27 +0200

libwmf (0.2.8.4-8) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 15:52:47 +0100

libwmf (0.2.8.4-7) experimental; urgency=low

  * ACK NMU.
  * debian/source/format,
    debian/patches/*,
    debian/control,
    debian/compat:
    + Update to source format 3.0 (quilt) and convert
      all patches to quilt.
    + Update Standards-Version to 3.9.0.
    + Update debhelper compat level to 7.
  * debian/rules,
    debian/control:
    + Use CDBS instead of manual debhelper. Thanks to Rober Ancell.
  * debian/control,
    debian/install:
    + Build-depend on libgdk-pixbuf2.0-dev and put the pixbuf loader
      into the new location.
    + Don't depend on GTK+ (Closes: #443675).
  * debian/control:
    + Depend and build-depend on libjpeg-dev.
    + Recommend gsfonts instead of depending on it (Closes: #478536).
    + Stop using ${Source-Version}.
  * debian/rules:
    + Add correct shlibs entry and don't include the pixbuf loader in
      the shlibs file.
  * debian/rules,
    debian/control:
    + Use dh-autoreconf to get rid of the rpath.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Jul 2010 10:02:38 +0200

libwmf (0.2.8.4-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixed Use-after-free vulnerability in the embedded GD library
    (Closes: #526434) (CVE-2009-1364)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 06 May 2009 09:19:49 +0200

libwmf (0.2.8.4-6) unstable; urgency=low

  * Upload to unstable.

 -- Loic Minier <lool@dooz.org>  Fri, 13 Apr 2007 22:04:10 +0200

libwmf (0.2.8.4-5) experimental; urgency=low

  * Convert the package to the new Gtk modules handling; closes: #405012.
    - Bump up the libgtk2.0-dev build-dep to >= 2.10.1-1.
    - Call dh_gtkmodules with an appropriate LD_LIBRARY_PATH.
    - Drop debian/postinst and debian/postrm.

 -- Loic Minier <lool@dooz.org>  Wed, 21 Mar 2007 10:51:18 +0100

libwmf (0.2.8.4-4) unstable; urgency=low

  * Adopt for interim maintenance upon the end of the Gtk 2.10 transition;
    closes: #415574.
  * Depend on ${misc:Depends}.
  * For additional safety, use $(libwmf_pkg) instead of hardcoding the
    package name with SONAME.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Wed, 21 Mar 2007 10:46:43 +0100

libwmf (0.2.8.4-3) unstable; urgency=low

  * Orphaning.
  * debian/watch: Update upstream URL.

 -- Matej Vela <vela@debian.org>  Tue, 20 Mar 2007 10:10:00 +0100

libwmf (0.2.8.4-2) unstable; urgency=high

  * src/player.c: Fix integer overflow vulnerability.  [CVE-2006-3376]
    Closes: #381538.

 -- Matej Vela <vela@debian.org>  Sat,  5 Aug 2006 12:15:57 +0200

libwmf (0.2.8.4-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.  Thanks, Daniel!  Closes: #347236.
  * Upstream is using a recent enough libtool; leave it alone.
  * Build depend on libxt-dev to placate AC_PATH_X.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 23 Jul 2006 20:06:00 +0200

libwmf (0.2.8.3-3.1) unstable; urgency=low

  * NMU.
  * Update to use automake1.7, since automake1.6 was removed.
    Closes: #335137.

 -- Daniel Schepler <schepler@debian.org>  Mon,  9 Jan 2006 16:59:46 +0100

libwmf (0.2.8.3-3) unstable; urgency=low

  * Update libwmf-dev dependencies:
    - Replace xlibs-dev with libsm-dev, libice-dev, libx11-dev.
      Closes: #332260.
    - Replace libpng12-0-dev with libpng12-dev.
  * debian/copyright: Update FSF address.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Wed,  5 Oct 2005 18:36:53 +0200

libwmf (0.2.8.3-2) unstable; urgency=low

  * debian/defoma: Handle missing Family hints.  Closes: #301311.
  * Move libwmf-dev to libdevel.

 -- Matej Vela <vela@debian.org>  Fri, 25 Mar 2005 21:21:01 +0100

libwmf (0.2.8.3-1) unstable; urgency=low

  * New upstream release.  Closes: #255979.
    - Uses <ft2build.h>.  Closes: #220989, #224142.
  * Instead of relying on hardcoded paths from gsfonts, use Defoma to
    generate an XML fontmap.  (This makes libwmf-fontmap unnecessary.)
    Closes: #287984.
  * src/font.c (wmf_ipa_font_init): Always check the generated fontmap.
  * src/font.c (ipa_font_add_cache): Compare cache entries by name rather
    than by path in order to correctly handle aliases.
  * Build-depend on libx11-dev rather than xlibs-dev.  Closes: #247274.
  * Install gdk-pixbuf loader.  Closes: #263911.
  * debian/rules:
    - Automatically update libtool and config.sub.  Closes: #267510.
    - Specify build and host type to configure.
    - Honor DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Thu, 24 Mar 2005 13:47:38 +0100

libwmf (0.2.8-1.1) unstable; urgency=low

  * NMU from the Minneapolis BSP.
  * Fixed freetype header problem, was causing FTBFS bugs in other packages.
    (Closes: #220989)

 -- Scott Dier <sdier@debian.org>  Sat, 13 Dec 2003 19:27:27 -0600

libwmf (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Update libpng-dev build dependency to libpng12-0-dev.
  * Remove undocumented(7) symlinks.
  * Conforms to Standards version 3.5.8.

 -- Matej Vela <vela@debian.org>  Sun, 29 Dec 2002 22:24:49 +0100

libwmf (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * Conforms to Standards version 3.5.7.

 -- Matej Vela <vela@debian.org>  Mon, 14 Oct 2002 20:49:18 +0200

libwmf (0.2.6-1) unstable; urgency=low

  * New upstream version, compiled with libpng3.  Closes: #156761.
  * Configured to use /usr/share/fonts/type1/gsfonts in order to work with
    older gsfonts.  Raised gsfonts to a dependency.  Closes: #141203.
  * ltmain.sh: Use James Troup's workaround for #98342.
  * Switched to debhelper 4.
  * debian/rules: Remove `debug' support and enable `-g' by default.
    According to #157131, the slow down is insignificant.

 -- Matej Vela <vela@debian.org>  Mon, 26 Aug 2002 21:35:25 +0200

libwmf (0.2.2-4) unstable; urgency=high

  * Make libwmf-dev replace misplaced .la files in libwmf0 (<< 0.1.21-1).
    Closes: #144299.

 -- Matej Vela <vela@debian.org>  Sat, 27 Apr 2002 11:26:42 +0200

libwmf (0.2.2-3) unstable; urgency=high

  * Remove virtual library packages from build dependencies to avoid
    conflicts.  Closes: #143900.

 -- Matej Vela <vela@debian.org>  Sun, 21 Apr 2002 18:59:24 +0200

libwmf (0.2.2-2) unstable; urgency=low

  * Link with expat instead of libxml2, solving some AbiWord problems.
    Closes: #139464.

 -- Matej Vela <vela@debian.org>  Sat, 13 Apr 2002 19:31:19 +0200

libwmf (0.2.2-1) unstable; urgency=high

  * New upstream version.
  * Hope it makes it to testing now.  Closes: #117766.
  * Use the updated description from libwmf.spec.  Closes: #111292.

 -- Matej Vela <vela@debian.org>  Sun, 11 Nov 2001 09:59:07 +0100

libwmf (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * configure now puts FreeType 2 includes at the beginning; Conflicts
    no longer necessary.

 -- Matej Vela <vela@debian.org>  Sun,  2 Sep 2001 17:08:43 +0200

libwmf (0.2.0-1) unstable; urgency=medium

  * New upstream version.
  * src/ipa/fig/device.h: POSIX time(2) requires an argument.
  * Merged in previous NMU.  Closes: #96017.
  * Updated config.guess and config.sub once again.  Closes: #98336.
  * debian/rules: Use `dh_shlibdeps -l'.  Closes: #104309.
  * Added {freetype[0-2],libttf}-dev to Build-Conflicts and
    libwmf-dev's Conflicts to avoid header mismatches
    (`-I/usr/include' from xml-config comes first).
  * Switched to debhelper 3.
  * Conforms to Standards version 3.5.6.

 -- Matej Vela <vela@debian.org>  Wed,  1 Aug 2001 00:50:15 +0200

libwmf (0.1.21-1.1) unstable; urgency=low

  * Run libtoolize to get support for new architectures.  Closes: #96017

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

libwmf (0.1.21-1) unstable; urgency=low

  * New upstream version.
  * Updated wmftofig.1, wmftopng.1, and xwmf.1; wrote wmftoeps.1.
  * debian/control: Renamed libwmf0-dev to libwmf-dev since it is
    unlikely that different versions will be installed at the same time.
  * debian/rules: Put the copyright and changelogs in libwmf0 only,
    and symbolic links to /usr/share/doc/libwmf0 in other packages.
  * Conforms to Standards version 3.2.1:
    * debian/rules: Added support for the `debug' build option.

 -- Matej Vela <vela@debian.org>  Sat,  6 Jan 2001 23:02:08 +0100

libwmf (0.1.16-2) unstable; urgency=low

  * Conforms to Standards version 3.1.0:
    * Installing the /usr/doc symbolic links.
    * debian/control: Added build dependancies.
  * debian/control: libwmf0-dev suggests libwmf-doc, and vice versa.

 -- Matej Vela <vela@debian.org>  Sat,  6 Nov 1999 21:56:34 +0100

libwmf (0.1.16-1) unstable; urgency=low

  * New upstream version.
  * Added a dependancy on netpbm.  Closes: Bug#45448.
  * Applied <http://www.debian.org/~vela/libwmf-libtool.diff.gz>
    containing libtool support (accepted by upstream).
  * Wrote wmftofig.1.
  * Conforms to Standards version 3.0.1:
    * Changed debian/copyright to reference
      `/usr/share/common-licenses/LGPL-2'.

 -- Matej Vela <vela@debian.org>  Wed,  8 Sep 1999 13:01:36 +0200

libwmf (0.1.11-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 2.5.1.

 -- Matej Vela <vela@debian.org>  Thu,  3 Jun 1999 10:54:34 +0200

libwmf (0.1.10-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Fri, 28 May 1999 18:37:13 +0200

libwmf (0.1.9-1) unstable; urgency=low

  * New package.

 -- Matej Vela <vela@debian.org>  Sat,  8 May 1999 22:23:58 +0200
